# eth_estimateGas: parametreler, dönüş değerleri ve CU

> Source: https://docs.blockvectra.com/tr/api/json-rpc/methods/eth_estimateGas/

## Özet

Bir işlemin gerektireceği gas sınırını tahmin eder.

## Compute Units (CU) ve fiyatlandırma

- Çağrı başına CU: 20 CU
- 1M çağrı başına fiyat (USD): $2.00

## Parametreler

| Parametre | Tür | Açıklama |
| --- | --- | --- |
| `transaction` | `object` | from, to, gas, gasPrice, maxFeePerGas, maxPriorityFeePerGas, value ve data/input alanlarını içerebilen işlem çağrısı nesnesi; yalnızca simüle edilir ve zincir üstü durumu değiştirmez. |
| `blockParameter` | `QUANTITY\|TAG` | Tahmin için isteğe bağlı blok numarası veya etiketi: latest veya pending; safe, finalized ve earliest -32011 döndürür (faturalandırılmaz); varsayılan en son bloktur (latest). |

## Dönüş Değeri

- **Tür**: `QUANTITY`
- **Açıklama**: 0x önekli onaltılık miktar olarak tahmini gas miktarı.

## Notlar

Tahmin, belirtilen bloğun durumuna göre çalıştırılır; çağrı geri dönerse (revert), istemciler genellikle bir sayı yerine bir hata döndürür.

## İstek örneği

```bash
export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_estimateGas",
    "params": [
      {
        "to": "0x0000000000000000000000000000000000000000",
        "data": "0x"
      },
      "latest"
    ],
    "id": 1
  }'
```

## Desteklenen zincirler

Desteklenen tüm 9 zincirde mevcuttur.
